GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

        • Login

        • Logout

        • Register

        • User Profile

        • Account Binding

        • MFA Factor Management

        • User Related Resources

        • Message Service

        • WeChat Related APIs

          • Decrypt WeChat Mini Program Data
          • Get Mini Program Phone Number
          • Get GenAuth Server Cached WeChat Mini Program/Official Account Access Token
        • Others

        • OIDC Module
        • OAuth Module
        • SAML Module
        • CAS Module
        • Events
      • Management Module

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Authentication Module

  8. /
  9. WeChat Related APIs

  10. /
  11. Get GenAuth Server Cached WeChat Mini Program/Official Account Access Token

¶ Get WeChat Mini Program, Official Account Access Token

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the WeChat Mini Program and Official Account Access Token cached by the GenAuth server (obsolete, please use /api/v3/get-wechat-access-token-info)

¶ Method name

AuthenticationClient.get_wechat_mp_access_token

¶ Request parameters

NameType
Required
Default value
Description
Sample value
appSecretstringYes-AppSecret of WeChat Mini Program or WeChat Official Account
appIdstringYes-AppId of WeChat Mini Program or WeChat Official Account

¶ Request response

Type: GetWechatAccessTokenRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (no return for successful requests). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataGetWechatAccessTokenDataDtoResponse data

Sample result:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {}
}

¶ Data structure

¶ GetWechatAccessTokenDataDto

NameType
Is it required
Description
Sample value
accessTokenstringYesWeChat Access Token cached by the GenAuth server
expiresAtstringYesAccess Token expiration time, as a timestamp in seconds
Previous article: Get Mini Program Phone Number Next article: Get Server Public Information
  • Method name
  • Request parameters
  • Request response
  • Data structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.